:root {
  --maps-draw-point-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23353a40' viewBox='0 0 24 24'%3E%3Cpath d='M12 9c1.66 0 3 1.34 3 3s-1.34 3-3 3-3-1.34-3-3 1.34-3 3-3m0-2c-2.76 0-5 2.24-5 5s2.24 5 5 5 5-2.24 5-5-2.24-5-5-5Z'/%3E%3C/svg%3E");
  --maps-draw-polygon-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23353a40' viewBox='0 0 24 24'%3E%3Cpath d='M20.12 17.04 18.85 6.61c.69-.44 1.16-1.22 1.16-2.1a2.5 2.5 0 0 0-2.5-2.5c-.95 0-1.77.54-2.19 1.32h-3.14a2.49 2.49 0 0 0-2.19-1.32 2.5 2.5 0 0 0-2.5 2.5c0 .24.04.47.11.68L5.2 7.18c-.23-.07-.46-.11-.71-.11a2.5 2.5 0 0 0-2.5 2.5c0 1.02.62 1.9 1.5 2.29v2.86c-.88.39-1.5 1.27-1.5 2.29a2.5 2.5 0 0 0 2.5 2.5c.78 0 1.48-.37 1.94-.94l10.67 1.54a2.501 2.501 0 0 0 2.4 1.84 2.5 2.5 0 0 0 2.5-2.5 2.5 2.5 0 0 0-1.86-2.41ZM17.5 3.01c.83 0 1.5.67 1.5 1.5s-.67 1.5-1.5 1.5-1.5-.67-1.5-1.5.67-1.5 1.5-1.5Zm-7.52 0c.83 0 1.5.67 1.5 1.5s-.67 1.5-1.5 1.5-1.5-.67-1.5-1.5.67-1.5 1.5-1.5Zm-7 6.56c0-.83.67-1.5 1.5-1.5s1.5.67 1.5 1.5-.67 1.5-1.5 1.5-1.5-.67-1.5-1.5Zm1.5 8.94c-.83 0-1.5-.67-1.5-1.5s.67-1.5 1.5-1.5 1.5.67 1.5 1.5-.67 1.5-1.5 1.5Zm12.88-.38-10.42-1.5c-.13-.86-.69-1.57-1.46-1.91v-2.86c.88-.39 1.5-1.27 1.5-2.29 0-.38-.09-.75-.25-1.07l2.13-1.77c.34.17.72.28 1.12.28 1.09 0 2.01-.7 2.35-1.68h2.82c.27.78.91 1.37 1.72 1.59l1.27 10.42c-.32.2-.58.47-.78.79Zm2.12 2.82c-.83 0-1.5-.67-1.5-1.5s.67-1.5 1.5-1.5 1.5.67 1.5 1.5-.67 1.5-1.5 1.5Z'/%3E%3C/svg%3E");
  --maps-draw-line-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23353a40' viewBox='0 0 24 24'%3E%3Cpath d='M19.5 2A2.5 2.5 0 0 0 17 4.5c0 .32.07.63.18.91L5.41 17.18A2.5 2.5 0 0 0 4.5 17a2.5 2.5 0 0 0 0 5A2.5 2.5 0 0 0 7 19.5c0-.32-.07-.63-.18-.91L18.59 6.82c.28.11.59.18.91.18a2.5 2.5 0 0 0 0-5Zm-15 19c-.83 0-1.5-.67-1.5-1.5S3.67 18 4.5 18s1.5.67 1.5 1.5S5.33 21 4.5 21Zm15-15c-.83 0-1.5-.67-1.5-1.5S18.67 3 19.5 3s1.5.67 1.5 1.5S20.33 6 19.5 6Z'/%3E%3C/svg%3E");
  --maps-draw-trash-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23353a40' viewBox='0 0 24 24'%3E%3Cpath d='M18 4h-2.09c-.27 0-.52-.11-.71-.29h.01l-.41-.41a.99.99 0 0 0-.71-.29H9.92c-.27 0-.52.11-.71.29l-.41.41a.99.99 0 0 1-.71.29H6c-.55 0-1 .45-1 1s.45 1 1 1h12c.55 0 1-.45 1-1s-.45-1-1-1ZM6 19c0 1.1.9 2 2 2h8c1.1 0 2-.9 2-2V7H6v12Zm8-9.49c0-.28.22-.5.5-.5s.5.22.5.5v9c0 .28-.22.5-.5.5s-.5-.22-.5-.5v-9Zm-5 0c0-.28.22-.5.5-.5s.5.22.5.5v9c0 .28-.22.5-.5.5s-.5-.22-.5-.5v-9Z'/%3E%3C/svg%3E");
  --maps-draw-rectangle-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23353a40' viewBox='0 0 24 24'%3E%3Cpath d='M4.5 15.71V5.79A2.5 2.5 0 0 0 5.79 4.5h9.92c.25.57.71 1.03 1.29 1.29v4.24h2V5.8c.88-.39 1.5-1.27 1.5-2.29a2.5 2.5 0 0 0-2.5-2.5c-1.02 0-1.9.62-2.29 1.5H5.79c-.39-.88-1.27-1.5-2.29-1.5A2.5 2.5 0 0 0 1 3.51c0 1.02.62 1.9 1.5 2.29v9.92c-.88.39-1.5 1.27-1.5 2.29a2.5 2.5 0 0 0 2.5 2.5c1.02 0 1.9-.62 2.29-1.5h4.25v-2H5.79a2.5 2.5 0 0 0-1.29-1.29ZM18 2c.83 0 1.5.67 1.5 1.5S18.83 5 18 5s-1.5-.67-1.5-1.5S17.17 2 18 2ZM2 3.5C2 2.67 2.67 2 3.5 2S5 2.67 5 3.5 4.33 5 3.5 5 2 4.33 2 3.5Zm1.5 16c-.83 0-1.5-.67-1.5-1.5s.67-1.5 1.5-1.5S5 17.17 5 18s-.67 1.5-1.5 1.5ZM22 17h-3v-3c0-.55-.45-1-1-1s-1 .45-1 1v3h-3c-.55 0-1 .45-1 1s.45 1 1 1h3v3c0 .55.45 1 1 1s1-.45 1-1v-3h3c.55 0 1-.45 1-1s-.45-1-1-1Z'/%3E%3C/svg%3E");
}

.trimblemaps-dark {
  --maps-draw-point-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23e0e1e9' viewBox='0 0 24 24'%3E%3Cpath d='M12 9c1.66 0 3 1.34 3 3s-1.34 3-3 3-3-1.34-3-3 1.34-3 3-3m0-2c-2.76 0-5 2.24-5 5s2.24 5 5 5 5-2.24 5-5-2.24-5-5-5Z'/%3E%3C/svg%3E");
  --maps-draw-polygon-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23e0e1e9' viewBox='0 0 24 24'%3E%3Cpath d='M20.12 17.04 18.85 6.61c.69-.44 1.16-1.22 1.16-2.1a2.5 2.5 0 0 0-2.5-2.5c-.95 0-1.77.54-2.19 1.32h-3.14a2.49 2.49 0 0 0-2.19-1.32 2.5 2.5 0 0 0-2.5 2.5c0 .24.04.47.11.68L5.2 7.18c-.23-.07-.46-.11-.71-.11a2.5 2.5 0 0 0-2.5 2.5c0 1.02.62 1.9 1.5 2.29v2.86c-.88.39-1.5 1.27-1.5 2.29a2.5 2.5 0 0 0 2.5 2.5c.78 0 1.48-.37 1.94-.94l10.67 1.54a2.501 2.501 0 0 0 2.4 1.84 2.5 2.5 0 0 0 2.5-2.5 2.5 2.5 0 0 0-1.86-2.41ZM17.5 3.01c.83 0 1.5.67 1.5 1.5s-.67 1.5-1.5 1.5-1.5-.67-1.5-1.5.67-1.5 1.5-1.5Zm-7.52 0c.83 0 1.5.67 1.5 1.5s-.67 1.5-1.5 1.5-1.5-.67-1.5-1.5.67-1.5 1.5-1.5Zm-7 6.56c0-.83.67-1.5 1.5-1.5s1.5.67 1.5 1.5-.67 1.5-1.5 1.5-1.5-.67-1.5-1.5Zm1.5 8.94c-.83 0-1.5-.67-1.5-1.5s.67-1.5 1.5-1.5 1.5.67 1.5 1.5-.67 1.5-1.5 1.5Zm12.88-.38-10.42-1.5c-.13-.86-.69-1.57-1.46-1.91v-2.86c.88-.39 1.5-1.27 1.5-2.29 0-.38-.09-.75-.25-1.07l2.13-1.77c.34.17.72.28 1.12.28 1.09 0 2.01-.7 2.35-1.68h2.82c.27.78.91 1.37 1.72 1.59l1.27 10.42c-.32.2-.58.47-.78.79Zm2.12 2.82c-.83 0-1.5-.67-1.5-1.5s.67-1.5 1.5-1.5 1.5.67 1.5 1.5-.67 1.5-1.5 1.5Z'/%3E%3C/svg%3E");
  --maps-draw-line-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23e0e1e9' viewBox='0 0 24 24'%3E%3Cpath d='M19.5 2A2.5 2.5 0 0 0 17 4.5c0 .32.07.63.18.91L5.41 17.18A2.5 2.5 0 0 0 4.5 17a2.5 2.5 0 0 0 0 5A2.5 2.5 0 0 0 7 19.5c0-.32-.07-.63-.18-.91L18.59 6.82c.28.11.59.18.91.18a2.5 2.5 0 0 0 0-5Zm-15 19c-.83 0-1.5-.67-1.5-1.5S3.67 18 4.5 18s1.5.67 1.5 1.5S5.33 21 4.5 21Zm15-15c-.83 0-1.5-.67-1.5-1.5S18.67 3 19.5 3s1.5.67 1.5 1.5S20.33 6 19.5 6Z'/%3E%3C/svg%3E");
  --maps-draw-trash-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23e0e1e9' viewBox='0 0 24 24'%3E%3Cpath d='M18 4h-2.09c-.27 0-.52-.11-.71-.29h.01l-.41-.41a.99.99 0 0 0-.71-.29H9.92c-.27 0-.52.11-.71.29l-.41.41a.99.99 0 0 1-.71.29H6c-.55 0-1 .45-1 1s.45 1 1 1h12c.55 0 1-.45 1-1s-.45-1-1-1ZM6 19c0 1.1.9 2 2 2h8c1.1 0 2-.9 2-2V7H6v12Zm8-9.49c0-.28.22-.5.5-.5s.5.22.5.5v9c0 .28-.22.5-.5.5s-.5-.22-.5-.5v-9Zm-5 0c0-.28.22-.5.5-.5s.5.22.5.5v9c0 .28-.22.5-.5.5s-.5-.22-.5-.5v-9Z'/%3E%3C/svg%3E");
  --maps-draw-rectangle-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23e0e1e9' viewBox='0 0 24 24'%3E%3Cpath d='M4.5 15.71V5.79A2.5 2.5 0 0 0 5.79 4.5h9.92c.25.57.71 1.03 1.29 1.29v4.24h2V5.8c.88-.39 1.5-1.27 1.5-2.29a2.5 2.5 0 0 0-2.5-2.5c-1.02 0-1.9.62-2.29 1.5H5.79c-.39-.88-1.27-1.5-2.29-1.5A2.5 2.5 0 0 0 1 3.51c0 1.02.62 1.9 1.5 2.29v9.92c-.88.39-1.5 1.27-1.5 2.29a2.5 2.5 0 0 0 2.5 2.5c1.02 0 1.9-.62 2.29-1.5h4.25v-2H5.79a2.5 2.5 0 0 0-1.29-1.29ZM18 2c.83 0 1.5.67 1.5 1.5S18.83 5 18 5s-1.5-.67-1.5-1.5S17.17 2 18 2ZM2 3.5C2 2.67 2.67 2 3.5 2S5 2.67 5 3.5 4.33 5 3.5 5 2 4.33 2 3.5Zm1.5 16c-.83 0-1.5-.67-1.5-1.5s.67-1.5 1.5-1.5S5 17.17 5 18s-.67 1.5-1.5 1.5ZM22 17h-3v-3c0-.55-.45-1-1-1s-1 .45-1 1v3h-3c-.55 0-1 .45-1 1s.45 1 1 1h3v3c0 .55.45 1 1 1s1-.45 1-1v-3h3c.55 0 1-.45 1-1s-.45-1-1-1Z'/%3E%3C/svg%3E");
}

/* Override default control style */

.trimblemaps-draw_ctrl-bottom-left,
.trimblemaps-draw_ctrl-top-left {
  margin-left: 0;
  border-radius: 0 4px 4px 0;
}

.trimblemaps-draw_ctrl-top-right,
.trimblemaps-draw_ctrl-bottom-right {
  margin-right: 0;
  border-radius: 4px 0 0 4px;
}

.trimblemaps-draw_ctrl-draw {
  background-color: rgba(0, 0, 0, 0.75);
  border-color: rgba(0, 0, 0, 0.9);
}

.trimblemaps-draw_ctrl-draw > button {
  border-color: rgba(0, 0, 0, 0.9);
  color: rgba(255, 255, 255, 0.5);
  width: 32px;
  height: 32px;
}

.trimblemaps-draw_ctrl-draw > button:hover {
  color: rgba(255, 255, 255, 0.75);
}

.trimblemaps-draw_ctrl-draw > button.active,
.trimblemaps-draw_ctrl-draw > button.active:hover {
  color: #fff;
}

.trimblemaps-draw_ctrl-draw-btn {
  background-color: var(--maps-bg-color);
  background-repeat: no-repeat;
  background-position: center;
  background-size: 16px;
}

.trimblemaps-draw_ctrl-draw-btn.active,
.trimblemaps-draw_ctrl-draw-btn:active,
.trimblemaps-draw_ctrl-draw-btn:hover {
  background-color: var(--maps-ctrl-btn-bg-hover) !important;
}

.trimblemaps-draw_point {
  background-image: var(--maps-draw-point-image);
}

.trimblemaps-draw_polygon {
  background-image: var(--maps-draw-polygon-image);
}

.trimblemaps-draw_line {
  background-image: var(--maps-draw-line-image);
}

.trimblemaps-draw_trash {
  background-image: var(--maps-draw-trash-image);
}

.trimblemaps-draw_rectangle {
  background-image: var(--maps-draw-rectangle-image);
}

.trimblemaps-draw_circle {
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24'%3E%3Cpath d='M12 4c4.41 0 8 3.59 8 8s-3.59 8-8 8-8-3.59-8-8 3.59-8 8-8m0-2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2'/%3E%3C/svg%3E");
}

.trimblemaps-map.mouse-pointer
  .trimblemaps-canvas-container.trimblemaps-interactive {
  cursor: pointer;
}

.trimblemaps-map.mouse-move
  .trimblemaps-canvas-container.trimblemaps-interactive {
  cursor: move;
}

.trimblemaps-map.mouse-add
  .trimblemaps-canvas-container.trimblemaps-interactive {
  cursor: crosshair;
}

.trimblemaps-map.mouse-move.mode-direct_select
  .trimblemaps-canvas-container.trimblemaps-interactive {
  cursor: grab;
  cursor: -webkit-grab;
}

.trimblemaps-map.mode-direct_select.feature-vertex.mouse-move
  .trimblemaps-canvas-container.trimblemaps-interactive {
  cursor: move;
}

.trimblemaps-map.mode-direct_select.feature-midpoint.mouse-pointer
  .trimblemaps-canvas-container.trimblemaps-interactive {
  cursor: cell;
}

.trimblemaps-map.mode-direct_select.feature-feature.mouse-move
  .trimblemaps-canvas-container.trimblemaps-interactive {
  cursor: move;
}

.trimblemaps-map.mode-static.mouse-pointer
  .trimblemaps-canvas-container.trimblemaps-interactive {
  cursor: grab;
  cursor: -webkit-grab;
}

.trimblemaps-draw_boxselect {
  pointer-events: none;
  position: absolute;
  top: 0;
  left: 0;
  width: 0;
  height: 0;
  background: rgba(0, 0, 0, 0.1);
  border: 2px dotted #fff;
  opacity: 0.5;
}

.trimblemaps-ctrl-group {
  overflow: hidden;
}

.trimblemaps-ctrl-bottom-right,
.trimblemaps-ctrl {
  margin: 0 10px 10px 0;
  float: right;
}

.trimblemaps-ctrl-bottom-left > .trimblemaps-ctrl {
  margin: 0 0 10px 10px;
  float: left;
}

.trimblemaps-ctrl-top-left > .trimblemaps-ctrl {
  margin: 10px 0 0 10px;
  float: left;
}

.trimblemaps-ctrl-top-right > .trimblemaps-ctrl {
  margin: 10px 10px 0 0;
  float: right;
}

.trimblemaps-draw_ctrl-draw-btn:focus-visible {
  outline: 1px auto -webkit-focus-ring-color;
  outline-offset: -1px;
  outline-color: #217cbb;
}
